import axios from "../../utils/axios";


export function listUdiSubProduct(query) {
    return axios({
        url: "/udims/subProduct/list",
        method: "get",
        params: query
    });
}


export function addUdiSubProduct(query) {
    return axios({
        url: "/udims/subProduct/add",
        method: "post",
        data: query
    });
}

export function modifyUdiSubProduct(query) {
    return axios({
        url: "/udims/subProduct/modify",
        method: "post",
        data: query
    });
}

export function deleteUdiSubProduct(query) {
    return axios({
        url: "/udims/subProduct/delete",
        method: "post",
        data: query
    });
}


export function listCli(query) {
    return axios({
        url: "/udims/subProduct/cliList",
        method: "get",
        params: query
    });
}

export function listSrg(query) {
    return axios({
        url: "/udims/subProduct/srgList",
        method: "get",
        params: query
    });
}

export function listClassify(query) {
    return axios({
        url: "/udims/subProduct/productclassify",
        method: "get",
        params: query
    });
}
